Bug 238323 - x11/mate-applets: fix build on non-x86
Summary: x11/mate-applets: fix build on non-x86
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-04 15:45 UTC by Piotr Kubaj
Modified: 2020-01-01 23:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch (145.12 KB, patch)
2019-06-04 15:45 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-06-04 15:45:12 UTC
Created attachment 204821 [details]
patch

pkg-plist entries for non-x86 were removed in the last upgrade.

While here, also add USES=gnome mate.
Comment 1 commit-hook freebsd_committer 2019-06-19 23:10:19 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Jun 19 23:09:23 UTC 2019
New revision: 504600
URL: https://svnweb.freebsd.org/changeset/ports/504600

Log:
  x11/mate-applets: fix build on non-x86

  pkg-plist entries for non-x86 were removed in the last upgrade.

  While here, also add USES=gnome mate.

  PR:		238323
  Approved by:	gnome (maintainer timeout), mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D20699

Changes:
  head/x11/mate-applets/Makefile
  head/x11/mate-applets/pkg-plist
Comment 2 commit-hook freebsd_committer 2020-01-01 22:38:46 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Jan  1 22:37:54 UTC 2020
New revision: 521783
URL: https://svnweb.freebsd.org/changeset/ports/521783

Log:
  x11/mate-applets: fix build on non-x86

  This is basically the same change to pkg-plist as the one done in r504600, which was later backed out for unknown reasons in r520859.

  Already approved via maintainer timeout in the original PR.

  Tested to fix packaging on powerpc64 and not break on amd64.

  PR:		238323
  Approved by:	gnome (maintainer timeout)
  Pointy hat:	ericbsd

Changes:
  head/x11/mate-applets/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-01-01 23:07:50 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Jan  1 23:07:20 UTC 2020
New revision: 521785
URL: https://svnweb.freebsd.org/changeset/ports/521785

Log:
  MFH: r521783

  x11/mate-applets: fix build on non-x86

  This is basically the same change to pkg-plist as the one done in r504600, which was later backed out for unknown reasons in r520859.

  Already approved via maintainer timeout in the original PR.

  Tested to fix packaging on powerpc64 and not break on amd64.

  PR:		238323
  Approved by:	gnome (maintainer timeout)
  Pointy hat:	ericbsd
  Approved by:	portmgr (fix packaging blanket)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/x11/mate-applets/pkg-plist